Manage trades for you and your team on the Notice platform.
Page properties
These properties are returned by GET /my/trades
| Property | Type | Description |
|---|---|---|
| trades | array of objects | See the Trade type properties below |
| page | integer | The page number of the results |
| total_pages | integer | The total number of pages of indications available |
| total_count | integer | The total number of indications available |
| has_more | boolean | Whether this page is the last page |
Trade Properties
| Property | Type | Description |
|---|---|---|
| id | UUID | UUID assigned by Notice |
| attributed_to_owner | boolean | Whether this trade should be attributed to the owner publicly on the Notice platform |
| carried_interest_fee_percent | string (nullable) | Big decimal string representation of the carried interest fee percent |
| client_id | string (nullable) | Your identifier to represent the client for this trade |
| created_at | timestamp | The time the trade became available on Notice |
| details | string (nullable) | Open text details associated with this trade |
| issuer | object | An object containing the id and name of the stock issuer (company) |
| is_verified | boolean | Whether this trade has been verified yet by the Notice team |
| management_fee_percent | string (nullable) | Big decimal string representation of the management fee percent |
| permalink_id | string | Notice assigned permalink to view on notice.co |
| price_per_share | string | Big decimal string representation of the USD price per share |
| sign_date | ISO8601 date string | The date that the buyer and seller signed a binding Transfer Agreement |
| stock_class | string (nullable) | Class of stock provided by owner (e.g. "Common", "Preferred", "Series A", etc) |
| stock_class_type | string | common or preferred |
| stock_type | string | primary or secondary |
| structure | string | direct, spv_1_layer, spv_2_layer, or forward_contractLegacy trades might still be assigned the deprecated spv option. |
| third_party_id | string (nullable) | The id used to represent the same indication in your own system |
| updated_at | timestamp | |
| verification_officer_email | string | Email address of the verification officer that Notice should contact to verify this trade |
| verification_officer_name | string | Name of the verification officer that Notice should contact to verify this trade |
| volume | string | Big decimal string representation of the volume in USD |
| won_date | ISO8601 date string | The date when money changed hands |
Trade management permissions are required to create trades in Notice. Please reach out to [email protected] if you have questions about your permissions.
